import RPi.GPIO as GPIO
import time

led = 23
in6 = 26

br = 0

GPIO.setwarnings(False)
GPIO.setmode(GPIO.BCM)
GPIO.setup(in6,GPIO.IN, pull_up_down=GPIO.PUD_UP)
GPIO.setup(led,GPIO.OUT)
p1 = GPIO.PWM(led, 50) # GPIO PWM with 50Hz
p1.start(0) # Initialization
print "CTRL+C = STOP program"

try:
    while True:
        if GPIO.input(in6) == 0:
            p1.ChangeDutyCycle(br)
            time.sleep(0.2)
            br = br + 10
            if br > 100:
                br = 0
        else:
            GPIO.output(led,GPIO.LOW)
except KeyboardInterrupt:
    GPIO.cleanup()  # must be executed before program stop        
